<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Builder;

class PagSeguroLinkViewModelBuilder implements Builder {
	protected $rel;
	protected $href;
	protected $media;
	protected $type;

	public function build(): PagSeguroLinkViewModel {

		$obj = new PagSeguroLinkViewModel();

		$obj->setRel( $this->rel );
		$obj->setHref( $this->href );
		$obj->setMedia( $this->media );
		$obj->setType( $this->type );

		return $obj;

	}

	/**
	 *
	 * @param mixed $rel
	 */
	public function setRel($rel): PagSeguroLinkViewModelBuilder {

		$this->rel = $rel;
		return $this;

	}

	/**
	 *
	 * @param mixed $href
	 */
	public function setHref($href): PagSeguroLinkViewModelBuilder {

		$this->href = $href;
		return $this;

	}

	/**
	 *
	 * @param mixed $media
	 */
	public function setMedia($media): PagSeguroLinkViewModelBuilder {

		$this->media = $media;
		return $this;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type): PagSeguroLinkViewModelBuilder {

		$this->type = $type;
		return $this;

	}

}

